com.sun.messaging.jms.management.server

## Class ConnectionNotification

- java.lang.Object
- - java.util.EventObject
  - - javax.management.Notification
    - - com.sun.messaging.jms.management.server.MQNotification
      - - com.sun.messaging.jms.management.server.ConnectionNotification

- All Implemented Interfaces:
    Serializable

      public class ConnectionNotification
      extends MQNotification

  Class containing information on cluster operations.

  The MQ specific fields in this notification is TBD.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECTION_CLOSE` A connection was closed.
    `static String` | `CONNECTION_OPEN` A connection was created.
    `static String` | `CONNECTION_REJECT` A connection was rejected.

    - ### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

      `PREFIX`

    - ### Fields inherited from class javax.management.Notification

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionNotification(String type, Object source, long sequenceNumber)` Creates a ConnectionNotification object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnectionID()`
    `String` | `getRemoteHost()`
    `String` | `getServiceName()`
    `String` | `getUserName()`
    `void` | `setConnectionID(String id)`
    `void` | `setRemoteHost(String remoteHost)`
    `void` | `setServiceName(String serviceName)`
    `void` | `setUserName(String userName)`

    - ### Methods inherited from class javax.management.Notification

      `getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTION_OPEN

          public static final String CONNECTION_OPEN

      A connection was created.
      See Also:
        Constant Field Values

    - #### CONNECTION_CLOSE

          public static final String CONNECTION_CLOSE

      A connection was closed.
      See Also:
        Constant Field Values

    - #### CONNECTION_REJECT

          public static final String CONNECTION_REJECT

      A connection was rejected.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectionNotification

          public ConnectionNotification(String type,
                                Object source,
                                long sequenceNumber)

      Creates a ConnectionNotification object.
      Parameters:
        `type` - The notification type.
        `source` - The notification source.
        `sequenceNumber` - The notification sequence number within the source object.

  - ### Method Detail

    - #### setConnectionID

          public void setConnectionID(String id)

    - #### getConnectionID

          public String getConnectionID()

    - #### setServiceName

          public void setServiceName(String serviceName)

    - #### getServiceName

          public String getServiceName()

    - #### setUserName

          public void setUserName(String userName)

    - #### getUserName

          public String getUserName()

    - #### setRemoteHost

          public void setRemoteHost(String remoteHost)

    - #### getRemoteHost

          public String getRemoteHost()

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.